> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ドキュメントを再インデックス

> 選択した各ドキュメントについて、現在のファイルからインデックスを再構築するインデックスタスクをキューに追加します。これらのタスクをまとめて追跡するための一括タスク ID を返します。

`all: true` と `documentIds` のどちらか一方だけを指定する必要があります。

ファイルは再アップロードされません。各タスクは `compilation_job.id` を使って [インデックスタスクを取得](/ja/api-reference/indexing-tasks/get-indexing-task) で、リクエスト全体は [一括タスクを取得](/ja/api-reference/indexing-tasks/get-bulk-task) で追跡します。

再インデックスの流れについては、[再インデックスとインデックス処理の追跡](/ja/api-reference/guides/knowledge-base#track-indexing) を参照してください。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json post /knowledge-fs/spaces/{knowledge_base_id}/documents/reindex
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
  - description: ナレッジベースに質問し、回答をストリーミングで受け取ります。
    name: クエリ
  - description: クエリが何を検索したか、またその理由を確認します。
    name: クエリ記録
  - description: リサーチの質問をバックグラウンドで実行し、その結果を取得します。
    name: リサーチタスク
  - description: ナレッジベースのドキュメントと、そのファイル、リビジョン、チャンクを読み取り、ドキュメントにメタデータのラベルを付けます。
    name: ドキュメントとチャンク
  - description: インデックス処理の追跡、キャンセル、再試行と、ナレッジベースのバックグラウンドタスクの一覧表示を行います。
    name: インデックスタスク
  - description: ドキュメントファイル、ファイルのバッチ、またはソースの削除を、完了するまで追跡します。
    name: 削除ジョブ
  - description: ナレッジベースにデータを供給するソース、その同期スケジュール、接続を管理します。
    name: ソース
  - description: ソースの即時同期、ウェブサイトのページまたはプロバイダーのアイテムのインポート、実行の追跡、キャンセル、再試行を行います。
    name: ソースの同期とインポート
  - description: ナレッジベースのモデルと検索設定の読み取りと変更、および変更によって始まる移行の追跡を行います。
    name: 設定
paths:
  /knowledge-fs/spaces/{knowledge_base_id}/documents/reindex:
    post:
      tags:
        - Documents and Chunks
      summary: ドキュメントを再インデックス
      description: >-
        選択した各ドキュメントについて、現在のファイルからインデックスを再構築するインデックスタスクをキューに追加します。これらのタスクをまとめて追跡するための一括タスク
        ID を返します。


        `all: true` と `documentIds` のどちらか一方だけを指定する必要があります。


        ファイルは再アップロードされません。各タスクは `compilation_job.id` を使って
        [インデックスタスクを取得](/ja/api-reference/indexing-tasks/get-indexing-task)
        で、リクエスト全体は [一括タスクを取得](/ja/api-reference/indexing-tasks/get-bulk-task)
        で追跡します。


        再インデックスの流れについては、[再インデックスとインデックス処理の追跡](/ja/api-reference/guides/knowledge-base#track-indexing)
        を参照してください。
      operationId: reindexDocuments
      parameters:
        - description: >-
            ナレッジベース ID です。ナレッジベースの **API アクセス** ダイアログに表示されるサービス API
            エンドポイントの最後のセグメント（`…/knowledge-fs/spaces/<knowledge base
            ID>`）です。アドレスバーでは `/datasets/new/` の後のセグメントです。
          in: path
          name: knowledge_base_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            毎回の呼び出しでキーを送信してください。キーがあれば、呼び出しを安全に再試行できます。前後に空白を含まない、8〜255 文字の印字可能な
            ASCII 文字を使用してください。キーの形式が正しくない場合は `400` が返ります。


            同じキーと同じボディを再送信すると、新しいインデックスタスクは開始されず、元の一括タスクが返されます。異なるボディ、別の API
            キー、別のナレッジベース、または別の操作で同じキーを再利用すると `409` が返ります。
          in: header
          name: Idempotency-Key
          required: false
          schema:
            maxLength: 255
            minLength: 8
            type: string
      requestBody:
        content:
          application/json:
            examples:
              all:
                summary: リクエスト例 - すべてのドキュメントファイル
                value:
                  all: true
              by_id:
                summary: リクエスト例 - 選択したドキュメント
                value:
                  documentIds:
                    - 3d2f1c0b-9a8e-4d7c-b6a5-4f3e2d1c0b9a
                    - 8f14e45f-ceea-467a-9575-62c9a2d3e6b1
            schema:
              additionalProperties: false
              description: >-
                `all: true` または空でない `documentIds`
                配列のどちらかを送信します。両方は送信できません。`documentIds` を送る場合、`all`
                は省略するか、`false` または `null` にできます。`all: true` を送る場合、`documentIds`
                は省略するか `null` にできます。空の配列は拒否されます。
              oneOf:
                - properties:
                    all:
                      enum:
                        - true
                      nullable: false
                      type: boolean
                    documentIds:
                      enum:
                        - null
                      nullable: true
                      type: array
                  required:
                    - all
                  title: すべてのドキュメント
                - properties:
                    all:
                      enum:
                        - false
                        - null
                      nullable: true
                      type: boolean
                    documentIds:
                      minItems: 1
                      nullable: false
                      type: array
                  required:
                    - documentIds
                  title: 選択したドキュメント
              properties:
                all:
                  description: >-
                    `true` にすると、API
                    キーで読み取れるすべてのドキュメントファイルを再インデックスします。対象が上限（デフォルトは 100）を超える場合は
                    `400` が返り、何も再インデックスされません。
                  nullable: true
                  type: boolean
                documentIds:
                  description: >-
                    再インデックスするドキュメントです。ドキュメント
                    ID（[ドキュメント一覧を取得](/ja/api-reference/documents-and-chunks/list-documents)
                    から取得）またはドキュメントファイル
                    ID（[ドキュメントファイル一覧を取得](/ja/api-reference/documents-and-chunks/list-document-files)
                    から取得）で指定します。デプロイ環境によっては、より低い上限が設定されている場合があります。重複した ID は 1
                    つにまとめられるため、`total` が送信した数より小さくなることがあります。各 ID を 1
                    回ずつ送信すれば、`items` はリクエストと同じ順序で並びます。
                  items:
                    format: uuid
                    type: string
                  maxItems: 100
                  minItems: 1
                  nullable: true
                  type: array
              type: object
        description: >-
          nullable と記されたオプションフィールドでは、`null` は省略と同じ扱いになります。


          正規化後のリクエストは、UTF-8 で 1,048,576
          バイト以内に収める必要があります。[リクエストサイズの制限](/ja/api-reference/guides/knowledge-base#request-size-limits)
          を参照してください。
        required: true
      responses:
        '202':
          content:
            application/json:
              examples:
                success:
                  summary: レスポンス例
                  value:
                    bulk_job_id: 5a1c2e3d-7b8f-4a9c-8d1e-2f3a4b5c6d7e
                    items:
                      - asset:
                          created_at: '2026-09-03T10:02:11Z'
                          filename: handbook.pdf
                          id: 6ec0bd7f-11c0-43da-975e-2a8ad9ebae0b
                          knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                          metadata: {}
                          mime_type: application/pdf
                          object_key: >-
                            1a7c9e40-2b3d-4f56-8a90-b1c2d3e4f506/spaces/9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b/documents/6ec0bd7f-11c0-43da-975e-2a8ad9ebae0b/handbook.pdf
                          parser_status: parsed
                          sha256: >-
                            9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08
                          size_bytes: 482113
                          source_id: null
                          updated_at: null
                          version: 1
                        code: null
                        compilation_job:
                          id: e4a1f0b2-7c3d-4e5f-9a1b-2c3d4e5f6a7b
                          stage: queued
                        document_id: null
                        error: null
                        status: queued
                        status_url: >-
                          /knowledge-spaces/9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b/documents/3d2f1c0b-9a8e-4d7c-b6a5-4f3e2d1c0b9a/processing-tasks/e4a1f0b2-7c3d-4e5f-9a1b-2c3d4e5f6a7b
                      - asset: null
                        code: null
                        compilation_job: null
                        document_id: 8f14e45f-ceea-467a-9575-62c9a2d3e6b1
                        error: null
                        status: not_found
                        status_url: null
                    total: 2
              schema:
                properties:
                  bulk_job_id:
                    description: >-
                      一括タスク ID
                      です。[一括タスクを取得](/ja/api-reference/indexing-tasks/get-bulk-task)
                      でポーリングします。
                    type: string
                  items:
                    description: >-
                      送信した重複のない ID ごとに 1 エントリが、リクエストの順序で並びます。`all` が `true`
                      の場合は、その後に選択された各ファイルにつき 1 エントリが続きます。同じドキュメントファイルに解決される ID
                      は、1 つのエントリを共有します。
                    items:
                      properties:
                        asset:
                          allOf:
                            - $ref: '#/components/schemas/KnowledgeBaseDocumentFile'
                          description: >-
                            再インデックス対象のドキュメントファイルです。`status` が `queued` でない場合は
                            `null` です。
                          nullable: true
                        code:
                          description: '`status` が `failed` の場合の失敗コードです。それ以外の場合は `null` です。'
                          nullable: true
                          type: string
                        compilation_job:
                          description: インデックスタスクです。`status` が `queued` でない場合は `null` です。
                          nullable: true
                          properties:
                            id:
                              description: >-
                                インデックスタスク ID
                                です。[インデックスタスクを取得](/ja/api-reference/indexing-tasks/get-indexing-task)
                                でポーリングします。
                              type: string
                            stage:
                              description: この時点では常に `queued` です。
                              type: string
                          type: object
                        document_id:
                          description: >-
                            送信したままの ID です。`all: true` で選択された項目では、ドキュメントファイル ID
                            です。`status` が
                            `disabled`、`not_found`、`failed`、`pending`
                            のいずれかの場合に設定されます。`queued` の項目では `null` で、そのドキュメントファイル
                            ID は `asset.id` にあります。
                          nullable: true
                          type: string
                        error:
                          description: >-
                            `status` が `failed` の場合の失敗メッセージです。それ以外の場合は `null`
                            です。
                          nullable: true
                          type: string
                        status:
                          description: >-
                            -
                            `queued`：インデックスタスクが開始され、`asset`、`compilation_job`、`status_url`
                            が設定されます。

                            -
                            `disabled`：ドキュメントが無効化されているため何もキューに追加されず、一括タスクではキャンセル扱いになります。この
                            API には、ドキュメントを有効化する操作はありません。

                            - `not_found`：ID に一致する、読み取り可能なドキュメントファイルがありません。

                            - `failed`：インデックスタスクは開始されませんでした。理由は `code` と `error`
                            に示されます。

                            - `pending`：インデックスタスクが開始されたかどうかを確認できませんでした。
                          type: string
                        status_url:
                          description: >-
                            タスクの内部パスで、参考情報です。タスクの追跡には、代わりに
                            [一括タスクを取得](/ja/api-reference/indexing-tasks/get-bulk-task)
                            を使用してください。`status` が `queued` でない場合は `null` です。
                          nullable: true
                          type: string
                      type: object
                    type: array
                  total:
                    description: '`items` のエントリ数です。'
                    type: integer
                type: object
          description: インデックスタスクがキューに追加されました。
        '400':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_request_local:
                  summary: knowledge_fs_invalid_request (request validation)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
                    violations:
                      - field:
                          - documentIds
                        type: too_long
                knowledge_fs_invalid_request_upstream:
                  summary: knowledge_fs_invalid_request (rejected)
                  value:
                    code: knowledge_fs_invalid_request
                    failure:
                      category: validation
                      code: KNOWLEDGE_FS_INVALID_REQUEST
                      message: The Agent Knowledge Base request is invalid.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The Agent Knowledge Base request is invalid.
                    status: 400
          description: >-
            - `knowledge_fs_invalid_request`：リクエストが検証に失敗しました。`violations`
            には、問題のあるフィールドがそれぞれ示されます。`all: true` と `documentIds`
            をどちらも指定しない場合や、両方を指定した場合は `400` が返ります。

            - `knowledge_fs_invalid_request`：`documentIds`
            のエントリ数がデプロイ環境の上限を超えているか、`all: true` で選択されるファイル数が上限を超えているか、ID が UUID
            ではありません。

            - `knowledge_fs_invalid_request`：`Idempotency-Key` が 8〜255 文字の印字可能な
            ASCII 文字ではないか、前後に空白があります。
        '401':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_credential:
                  summary: knowledge_fs_invalid_credential
                  value:
                    code: knowledge_fs_invalid_credential
                    message: Invalid Agent Knowledge Base service credential.
                    status: 401
                unauthorized:
                  summary: unauthorized
                  value:
                    code: unauthorized
                    message: Access token is invalid
                    status: 401
          description: >-
            - `unauthorized`：`Authorization` ヘッダーがないか、キーが不明であるか、ナレッジベースの API
            キーではありません。

            - `knowledge_fs_invalid_credential`：キーは有効ですが、キーのワークスペースにこの ID
            のナレッジベースが存在しないか、キーがワークスペースに紐付いていません。
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (rate limit)
                  value:
                    code: forbidden
                    message: >-
                      Sorry, you have reached the knowledge base request rate
                      limit of your subscription.
                    status: 403
                knowledge_fs_access_denied_scope:
                  summary: knowledge_fs_access_denied (key scope)
                  value:
                    code: knowledge_fs_access_denied
                    message: Agent Knowledge Base operation is not allowed.
                    status: 403
                knowledge_fs_access_denied_upstream:
                  summary: knowledge_fs_access_denied (rejected)
                  value:
                    code: knowledge_fs_access_denied
                    failure:
                      action: contact_admin
                      category: authorization
                      code: KNOWLEDGE_FS_ACCESS_DENIED
                      message: >-
                        You do not have permission to perform this Agent
                        Knowledge Base operation.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: >-
                      You do not have permission to perform this Agent Knowledge
                      Base operation.
                    status: 403
          description: >-
            -
            `knowledge_fs_access_denied`：キーのアクセス範囲がほかのナレッジベースに限定されているか、このナレッジベースで
            **API アクセス** がオフになっています。または、ナレッジベースがアクティブではありません。

            - `knowledge_fs_access_denied`：キーには、このナレッジベースのコンテンツへのアクセス権がありません。

            - `forbidden`：Dify Cloud
            で、ワークスペースがサブスクリプションで定められたナレッジベースのリクエストレート制限に達しました。読み取りを含め、すべての呼び出しがカウントされます。
        '404':
          content:
            application/json:
              examples:
                knowledge_fs_resource_not_found:
                  summary: knowledge_fs_resource_not_found
                  value:
                    code: knowledge_fs_resource_not_found
                    failure:
                      category: not_found
                      code: KNOWLEDGE_FS_NOT_FOUND
                      message: >-
                        The requested Agent Knowledge Base resource was not
                        found.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The requested Agent Knowledge Base resource was not found.
                    status: 404
                not_found:
                  summary: not_found (feature off)
                  value:
                    code: not_found
                    message: >-
                      The requested URL was not found on the server. If you
                      entered the URL manually please check your spelling and
                      try again.
                    status: 404
          description: >-
            - `knowledge_fs_resource_not_found`：ナレッジベース ID が認識されません。

            - `knowledge_fs_resource_not_found`：選択したドキュメントファイルを、この API
            キーで読み取れなくなりました。たとえば、API キーのアクセス権が変わった後に、同じ `Idempotency-Key`
            で再送信した場合です。

            - `not_found`：このデプロイ環境では Agent ナレッジベース機能が無効になっています。
        '409':
          content:
            application/json:
              examples:
                knowledge_fs_conflict:
                  summary: knowledge_fs_conflict
                  value:
                    code: knowledge_fs_conflict
                    failure:
                      action: retry
                      category: conflict
                      code: KNOWLEDGE_FS_CONFLICT
                      message: >-
                        The Agent Knowledge Base operation conflicts with the
                        current resource state.
                      retryPolicy: manual
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: >-
                      The Agent Knowledge Base operation conflicts with the
                      current resource state.
                    status: 409
          description: >-
            -
            `knowledge_fs_conflict`：ナレッジベースが、従来型ナレッジベースの形式からまだ移行中です。後で再試行してください。

            -
            `knowledge_fs_conflict`：アクティブなリビジョンのないドキュメントがあり、その最新リビジョンのインデックスタスクを再試行できません。

            - `knowledge_fs_conflict`：`Idempotency-Key` が、異なるボディ、別の API
            キー、別のナレッジベース、または別の操作ですでに使用されています。
        '413':
          content:
            application/json:
              examples:
                knowledge_fs_request_too_large:
                  summary: knowledge_fs_request_too_large
                  value:
                    code: knowledge_fs_request_too_large
                    failure:
                      category: validation
                      code: KNOWLEDGE_FS_INVALID_REQUEST
                      message: The Agent Knowledge Base request is invalid.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The Agent Knowledge Base request is invalid.
                    status: 413
                knowledge_fs_request_too_large_budget:
                  summary: knowledge_fs_request_too_large (request budget)
                  value:
                    code: knowledge_fs_request_too_large
                    message: Agent Knowledge Base request is too large.
                    status: 413
          description: >-
            -
            `knowledge_fs_request_too_large`：ナレッジベースが設定済みのリソースクォータを超えているか、サービスがクォータの確認を完了できません。レスポンスボディの
            `failure.code` は `KNOWLEDGE_FS_INVALID_REQUEST` です。

            - `knowledge_fs_request_too_large`：Dify がデフォルト値を追加した後のリクエストが、UTF-8 で
            1,048,576
            バイトを超えています。[リクエストサイズの制限](/ja/api-reference/guides/knowledge-base#request-size-limits)
            を参照してください。
        '502':
          content:
            application/json:
              examples:
                knowledge_fs_upstream_unavailable:
                  summary: knowledge_fs_upstream_unavailable (service error)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    failure:
                      action: contact_admin
                      category: internal
                      code: KNOWLEDGE_FS_INTERNAL_ERROR
                      message: >-
                        Agent Knowledge Base could not complete the operation.
                        Try again, or contact an administrator with the error
                        reference.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      Agent Knowledge Base could not complete the operation. Try
                      again, or contact an administrator with the error
                      reference.
                    status: 502
                knowledge_fs_upstream_unavailable_transport:
                  summary: knowledge_fs_upstream_unavailable (no response)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    message: Agent Knowledge Base is unavailable.
                    status: 502
          description: >-
            - `knowledge_fs_upstream_unavailable`：時間内に応答が返らなかったか、応答を読み取れませんでした。


            レスポンスが失われる前に、インデックス処理が始まっている可能性があります。タスク ID
            を受け取っている場合は、それらをポーリングしてください。`Idempotency-Key`
            を送信していた場合は、同じキーで同じリクエストを再送信してください。元の一括タスクが返されます。
        '503':
          content:
            application/json:
              examples:
                knowledge_fs_operation_unavailable:
                  summary: knowledge_fs_operation_unavailable
                  value:
                    code: knowledge_fs_operation_unavailable
                    message: Agent Knowledge Base operation is not available.
                    status: 503
                knowledge_fs_operation_unavailable_upstream:
                  summary: knowledge_fs_operation_unavailable (temporary)
                  value:
                    code: knowledge_fs_operation_unavailable
                    failure:
                      action: retry
                      category: dependency
                      code: KNOWLEDGE_FS_UNAVAILABLE
                      message: >-
                        A service required by Agent Knowledge Base is
                        temporarily unavailable.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      A service required by Agent Knowledge Base is temporarily
                      unavailable.
                    status: 503
          description: >-
            - `knowledge_fs_operation_unavailable`：このワークスペースで Agent
            ナレッジベース機能が設定されていないか、このデプロイ環境ではこの操作を利用できません。または、リクエストの認可中に、このナレッジベースに対するキーのアクセス権が変更されました。

            -
            `knowledge_fs_operation_unavailable`：現在このリクエストを処理できません。`failure.retryPolicy`
            に従ってください。

            - `knowledge_fs_operation_unavailable`：`all: true` の場合に、API
            キーで読み取れるファイルを列挙し終える前にリクエストが打ち切られました。この API
            キーからほとんどのファイルが見えない場合に起こります。
components:
  schemas:
    KnowledgeBaseDocumentFile:
      properties:
        created_at:
          description: ファイルが保存された日時（ISO 8601）です。
          type: string
        filename:
          description: 元のファイル名です。
          type: string
        id:
          description: ドキュメントファイル ID です。Dify でドキュメントを開いたときにアドレスバーに表示されるドキュメント ID とは異なります。
          type: string
        knowledge_space_id:
          description: ナレッジベースの内部 ID です。パスのナレッジベース ID とは異なります。
          type: string
        metadata:
          additionalProperties: true
          description: ファイルのアップロード時またはインポート時に、ファイルとともに記録されたメタデータです。
          type: object
        mime_type:
          description: ファイルの MIME タイプです。
          type: string
        object_key:
          description: オブジェクトストレージ内のファイルのキーです。この API には、ファイルの内容を返す操作はありません。
          type: string
        parser_status:
          description: >-
            このバージョンのファイルの解析状態で、`pending`、`parsed`、`failed` のいずれかです。解析はインデックス処理の
            1 ステップです。`parsed` のファイルでも、アウトラインとチャンクがない場合があります。
          type: string
        sha256:
          description: ファイル内容の SHA-256 ハッシュ（16 進数エンコード）です。
          type: string
        size_bytes:
          description: ファイルサイズ（バイト単位）です。
          type: integer
        source_id:
          description: ファイルのインポート元のソース ID です。アップロードされたファイルでは `null` です。
          nullable: true
          type: string
        updated_at:
          description: ファイルレコードが最後に変更された日時（ISO 8601）です。作成後に変更されていない場合は `null` です。
          nullable: true
          type: string
        version:
          description: >-
            このファイル ID では常に `1` です。ソースの同期を含め、内容を更新するとこの値は増えず、別のファイル ID
            が作成されます。ドキュメントのコンテンツのリビジョンとは別の値です。[ドキュメントファイルを削除](/ja/api-reference/documents-and-chunks/delete-document-file)
            に `expectedRevision` として送信します。
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.